Bug 1012169 - Review Request: python-llvmmath - LLVM math library in Python
Review Request: python-llvmmath - LLVM math library in Python
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2013-09-25 17:48 EDT by Sergio Pascual
Modified: 2014-10-21 07:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-21 07:47:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2013-09-25 17:48:57 EDT
Spec URL: http://guaix.fis.ucm.es/~spr/llvmmath.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/python-llvmmath-0.1.1-1.fc19.src.rpm
Description: 
The purpose of this project is to provide portable math functions, many of
which are in C99 and not available on all platforms. It is based
on NumPy's umath and tries to support all floating point and complex types.
Fedora Account System Username: sergiopr
Comment 1 Sergio Pascual 2013-09-25 17:49:43 EDT
Ups, sorry

Spec URL: http://guaix.fis.ucm.es/~spr/python-llvmmath.spec
Comment 2 Mario Blättermann 2013-09-27 14:15:31 EDT
Scratch build fails:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5992058

I don't know why, but there seems to be a problem with clang. From build.log:

CalledProcessError: Command '['clang', '-O3', '-march=native', '-c', 'mathcode.c', '-S', '-emit-llvm', '-o', '/tmp/tmpp0ewUI/mathcode.s', '-I/usr/lib64/python2.7/site-packages/numpy/core/include', '-I/usr/include/python2.7', '-I/builddir/build/BUILDROOT/python-llvmmath-0.1.1-1.fc21.x86_64/usr/lib64/python2.7/site-packages/llvmmath/mathcode/private']' returned non-zero exit status 1
Comment 3 Sergio Pascual 2013-09-27 19:03:58 EDT
It builds in mock in my computer

The problem seems to be:
error: unknown target CPU 'pentium-m'

I will research a little to see if I find out what this mean
Comment 4 Sergio Pascual 2013-10-01 06:13:56 EDT
Spec URL: http://guaix.fis.ucm.es/~spr/llvmmath.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/python-llvmmath-0.1.1-2.fc19.src.rpm

I have patched the clang build thing to use a env variable called CLANGFLAGS, this variable contains %{optflags} except the "-g", that makes the tests segfault
Comment 5 Mario Blättermann 2013-10-01 14:53:03 EDT
While attempting to download the new spec file, I get a 403 error. The correct link is http://guaix.fis.ucm.es/~spr/python-llvmmath.spec.

The version tag in your spec says 0.1.1, the changelog says 0.10.1. Please fix it.
Comment 7 Mario Blättermann 2013-10-08 15:11:56 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6037402

$ rpmlint -i -v *
python3-llvmmath.i686: I: checking
python3-llvmmath.i686: W: spelling-error %description -l en_US umath -> math, u math
The value of this tag appears to be misspelled. Please double-check.

python3-llvmmath.i686: I: checking-url https://pypi.python.org/pypi/llvmmath (timeout 10 seconds)
python3-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python3.3/site-packages/llvmmath/mathcode/private/npy_pycompat.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python3.3/site-packages/llvmmath/mathcode/npy_math.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python3.3/site-packages/llvmmath/mathcode/npy_math_floating.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python3.3/site-packages/llvmmath/mathcode/private/npy_config.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python3.3/site-packages/llvmmath/mathcode/ieee754.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python3.3/site-packages/llvmmath/mathcode/npy_math_complex.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python3.3/site-packages/llvmmath/mathcode/_signbit.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python3.3/site-packages/llvmmath/mathcode/private/config.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python3.3/site-packages/llvmmath/mathcode/mathcode.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python3.3/site-packages/llvmmath/mathcode/private/npy_fpmath.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python3.3/site-packages/llvmmath/mathcode/npy_math_common.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python3.3/site-packages/llvmmath/mathcode/npy_math_private.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python3.3/site-packages/llvmmath/mathcode/export.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python3.3/site-packages/llvmmath/mathcode/npy_math_integer.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.x86_64: I: checking
python3-llvmmath.x86_64: W: spelling-error %description -l en_US umath -> math, u math
The value of this tag appears to be misspelled. Please double-check.

python3-llvmmath.x86_64: I: checking-url https://pypi.python.org/pypi/llvmmath (timeout 10 seconds)
python3-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.3/site-packages/llvmmath/mathcode/npy_math_common.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.3/site-packages/llvmmath/mathcode/export.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.3/site-packages/llvmmath/mathcode/ieee754.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.3/site-packages/llvmmath/mathcode/npy_math_integer.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.3/site-packages/llvmmath/mathcode/private/config.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.3/site-packages/llvmmath/mathcode/npy_math_floating.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.3/site-packages/llvmmath/mathcode/npy_math_private.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.3/site-packages/llvmmath/mathcode/npy_math.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.3/site-packages/llvmmath/mathcode/mathcode.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.3/site-packages/llvmmath/mathcode/private/npy_pycompat.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.3/site-packages/llvmmath/mathcode/private/npy_config.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.3/site-packages/llvmmath/mathcode/npy_math_complex.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.3/site-packages/llvmmath/mathcode/_signbit.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python3-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.3/site-packages/llvmmath/mathcode/private/npy_fpmath.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.src: I: checking
python-llvmmath.src: W: spelling-error %description -l en_US umath -> math, u math
The value of this tag appears to be misspelled. Please double-check.

python-llvmmath.src: I: checking-url https://pypi.python.org/pypi/llvmmath (timeout 10 seconds)
python-llvmmath.src: I: checking-url http://pypi.python.org/packages/source/l/llvmmath/llvmmath-0.1.1.tar.gz (timeout 10 seconds)
python-llvmmath.i686: I: checking
python-llvmmath.i686: W: spelling-error %description -l en_US umath -> math, u math
The value of this tag appears to be misspelled. Please double-check.

python-llvmmath.i686: I: checking-url https://pypi.python.org/pypi/llvmmath (timeout 10 seconds)
python-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/llvmmath/mathcode/private/npy_pycompat.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/llvmmath/mathcode/private/npy_fpmath.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/llvmmath/mathcode/npy_math_private.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/llvmmath/mathcode/npy_math_common.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/llvmmath/mathcode/export.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/llvmmath/mathcode/npy_math_complex.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/llvmmath/mathcode/npy_math.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/llvmmath/mathcode/private/npy_config.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/llvmmath/mathcode/ieee754.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/llvmmath/mathcode/mathcode.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/llvmmath/mathcode/npy_math_floating.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/llvmmath/mathcode/private/config.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/llvmmath/mathcode/_signbit.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.i686: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/llvmmath/mathcode/npy_math_integer.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.x86_64: I: checking
python-llvmmath.x86_64: W: spelling-error %description -l en_US umath -> math, u math
The value of this tag appears to be misspelled. Please double-check.

python-llvmmath.x86_64: I: checking-url https://pypi.python.org/pypi/llvmmath (timeout 10 seconds)
python-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/llvmmath/mathcode/export.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/llvmmath/mathcode/private/npy_config.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/llvmmath/mathcode/npy_math_complex.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/llvmmath/mathcode/npy_math_common.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/llvmmath/mathcode/npy_math_floating.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/llvmmath/mathcode/private/npy_pycompat.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/llvmmath/mathcode/mathcode.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/llvmmath/mathcode/private/config.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/llvmmath/mathcode/npy_math_private.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/llvmmath/mathcode/npy_math.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/llvmmath/mathcode/private/npy_fpmath.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/llvmmath/mathcode/ieee754.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/llvmmath/mathcode/_signbit.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/llvmmath/mathcode/npy_math_integer.c
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

python-llvmmath-debuginfo.i686: I: checking
python-llvmmath-debuginfo.i686: I: checking-url https://pypi.python.org/pypi/llvmmath (timeout 10 seconds)
python-llvmmath-debuginfo.x86_64: I: checking
python-llvmmath-debuginfo.x86_64: I: checking-url https://pypi.python.org/pypi/llvmmath (timeout 10 seconds)
python-llvmmath.spec: I: checking-url http://pypi.python.org/packages/source/l/llvmmath/llvmmath-0.1.1.tar.gz (timeout 10 seconds)
7 packages and 1 specfiles checked; 0 errors, 61 warnings.



I sit intended to have all the *.c files in %{python_sitearch}? If they are development files, please create -devel packages. If they are just code examples, you should move them to %doc. In doubt, ask upstream what to do.

Taking this for a full review.
Comment 8 Sergio Pascual 2013-10-22 05:06:08 EDT
I have filled a question upstream https://github.com/ContinuumIO/llvmmath/issues/3 no answer yet.

Meanwhile I have tried to remove the C code. That breaks some tests. So the c files are neither examples nor devel files.
Comment 9 Mario Blättermann 2013-11-22 13:31:27 EST
Any news here...?
Comment 10 Sergio Pascual 2013-11-25 06:20:14 EST
Nope, no news from upstream
Comment 11 Sergio Pascual 2014-10-21 07:47:23 EDT
Given that I have retired python-llvpy, this package is not interesting for me anymore.

Note You need to log in before you can comment on or make changes to this bug.